export const $ = (id: string): HTMLElement | null => document.getElementById(id)

export const $$ = (tag: string, html = ""): HTMLElement => {
  const el = document.createElement(tag)
  el.innerHTML = html
  return el
}

export const cmdPrompt = $("command-prompt") as HTMLTextAreaElement
export const cmdHint = $("command-hint") as HTMLTextAreaElement
export const cmdSuggestionList = $("command-suggestion-list") as HTMLUListElement
export const cmdError = $("command-error") as HTMLDivElement
